Subject: bug#54019: closed (Re: bug#54019: [PATCH] doc: Fix 'setuid-program' example.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Feb 2022 04:18:02 +0000

Your bug report

#54019: [PATCH] doc: Fix 'setuid-program' example.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54019: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54019
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54019: [PATCH] doc: Fix 'setuid-program' example.
From: Maxim Cournoyer <[email-masked]>
To: John Kehayias <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Feb 2022 23:17:37 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

John Kehayias <[email-masked]> writes:

> On #guix an error was reported in adding a setuid-program, but which
> followed the example in the manual. Looks like %setuid-programs was
> moved out a level in 1b87dc2f2a897f5fe0b3f8984c2544335ac87b56. The
> indentation was misleading (implying %setuid-programs was in the list
> sexp) previous to that commit.
>
> I believe this should be the correct format, and Kolev (who had the
> setuid-program problem on #guix) reported moving the paren fixed the
> error.
>
> Please see the attached patch. I did not add a copyright line for
> fixing this typo, but if it should be added, please do.

It's not needed, no (as per the <= 10 changed lines rule of thumb).

Pushed as 50311f338f.

Thanks to all involved :-).

Maxim

Subject: [PATCH] doc: Fix 'setuid-program' example.
From: John Kehayias <[email-masked]>
To: Guix-patches <[email-masked]>
Date: Wed, 16 Feb 2022 01:18:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On #guix an error was reported in adding a setuid-program, but which followed the example in the manual. Looks like %setuid-programs was moved out a level in 1b87dc2f2a897f5fe0b3f8984c2544335ac87b56. The indentation was misleading (implying %setuid-programs was in the list sexp) previous to that commit.

I believe this should be the correct format, and Kolev (who had the setuid-program problem on #guix) reported moving the paren fixed the error.

Please see the attached patch. I did not add a copyright line for fixing this typo, but if it should be added, please do.

Thanks!
John

From cccfce7d6d01e286277d5a847c89f428a2d66fe1 Mon Sep 17 00:00:00 2001
From: John Kehayias <[email-masked]>
Date: Tue, 15 Feb 2022 20:09:09 -0500
Subject: [PATCH] doc: Fix 'setuid-program' example.

%setuid-programs was previously moved to be in the list sexp instead of just
the append one. This causes an "invalid G-expression input" error.

Error reported by: Kolev on #guix.

* doc/guix.texi (Setuid Programs): Move %setuid-programs out to the append
sexp.
---
 doc/guix.texi | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 039b418038..d966137dfe 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -34506,8 +34506,8 @@ Setuid Programs
   ;; Some fields omitted...
   (setuid-programs
     (append (list (setuid-program
-                    (program (file-append nfs-utils "/sbin/mount.nfs")))
-                  %setuid-programs))))
+                    (program (file-append nfs-utils "/sbin/mount.nfs"))))
+            %setuid-programs)))
 @end lisp
 
 @deftp {Data Type} setuid-program
-- 
2.34.0